/*******************************************************************************
  i2cfunc.h
    I2c Funktionen
    erstellt am 28.10.2008
*******************************************************************************/

#ifndef _I2CFUNC_H
#define _I2CFUNC_H

#include "taskManager.h"
#include "configServer.h"
#include "appFramework.h"

#include "aps.h"
#include "zdo.h"
#include "leds.h"
#include "gpio.h"

#define IC1 	32 		// Adresse 0b0100000 von PCF8574 Baustein 1
#define IC2 	33 		// Adresse 0b0100001 von PCF8574 Baustein 2
#define IC3 	34 		// Adresse 0b0100010 von PCF8574 Baustein 3
#define IC4 	35 		// Adresse 0b0100011 von PCF8574 Baustein 4
#define IC5 	36 		// Adresse 0b0100100 von PCF8574 Baustein 5
#define IC6 	37 		// Adresse 0b0100101 von PCF8574 Baustein 6
#define IC7 	38 		// Adresse 0b0100110 von PCF8574 Baustein 7
#define IC8 	39 		// Adresse 0b0100111 von PCF8574 Baustein 8
#define VTI 	0x11 	// Adresse 0b0010001 vom VTI Drucksensor SCP1000
#define VTIMSB 	0x7F	// Adresse DATARD8,  gibt MSB vom Drucksensor zurck
#define VTILSB 	0x80	// Adresse DATARD16, gibt LSB vom Drucksensor zurck
#define VTItemp 0x81	// Adresse TEMPOUT,  gibt 14-bit Wert vom Temperatursensor zurck

#define READ 1
#define WRITE 0

/*******************************************************************

	I2C Funktionsdeklarationen
*******************************************************************/
void PConv();
void wait(void);
void i2c_stop(void);
uint8_t i2c_read(void);
void i2c_send(uint8_t data);
void i2c_start(uint8_t IC,uint8_t rw);

#endif //_I2CFUNC_H
